<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.Collection" %>
<%@ page import="java.util.ArrayList" %>
<%@ page import="java.io.*" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.database.SzPageInfo" %>
<%@ page import="net.sz600.system.SzProperties" %>
<%@ page import="net.sz600.system.SzLevelNumber" %>
<%@ page import="net.sz600.system.SzPageHelp" %>
<%@ page import="net.sz600.flow.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ page import="net.sz600.formCreate.*" %>
<%@ page import="net.sz600.weboffice.*" %>
<%@ include file="/sessionInfo.jsp"%>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>
<form name="formHidden" method="post">
</form>
<%
  String sOPERATOR = SzConvert.toSpaceStr(request.getParameter("OPERATOR"));
	OfficeOperator officeOperator = new OfficeOperator();
	
	boolean flag = true;
	String path = SzConvert.toSpaceStr(request.getParameter("path"));

	flag = officeOperator.control(request);

	String sMessage = "操作失败";
	String sUrl = "index.jsp";
    if (flag) {
    	if (sOPERATOR.equals("edit")) {
    		out.println("<script language='javascript'>");
    		out.println("document.location.href='../../../" + path + "'");
    		out.println("</script>");
    	} else {
        	out.println(SzPageHelp.jsAlert("操作成功"));
        	//out.println(SzPageHelp.jsGoUrl(sUrl));
        	out.println(SzPageHelp.jsFormSubmit("formHidden",sUrl));
    	}
    } else {
        out.println(SzPageHelp.jsAlertBack(sMessage));
    }	
%>
